
Struct.doc   by Kodiak
==========

AnimComp:
  $0026    38  sizeof(AnimComp)
  $0000     0  Flags
  $0002     2  Timer
  $0004     4  TimeSet
  $0006     6  NextComp
  $000a    10  PrevComp
  $000e    14  NextSeq
  $0012    18  PrevSeq
  $0016    22  AnimCRoutine
  $001a    26  YTrans
  $001c    28  XTrans
  $001e    30  HeadOb
  $0022    34  AnimBob
AnimOb:
  $002a    42  sizeof(AnimOb)
  $0000     0  NextOb
  $0004     4  PrevOb
  $0008     8  Clock
  $000c    12  AnOldY
  $000e    14  AnOldX
  $0010    16  AnY
  $0012    18  AnX
  $0014    20  YVel
  $0016    22  XVel
  $0018    24  YAccel
  $001a    26  XAccel
  $001c    28  RingYTrans
  $001e    30  RingXTrans
  $0020    32  AnimORoutine
  $0024    36  HeadComp
  $0028    40  AUserExt
AreaInfo:
  $0018    24  sizeof(AreaInfo)
  $0000     0  VctrTbl
  $0004     4  VctrPtr
  $0008     8  FlagTbl
  $000c    12  FlagPtr
  $0010    16  Count
  $0012    18  MaxCount
  $0014    20  FirstX
  $0016    22  FirstY
AudChannel:
  $0010    16  sizeof(AudChannel)
  $0000     0  ac_ptr
  $0004     4  ac_len
  $0006     6  ac_per
  $0008     8  ac_vol
  $000a    10  ac_dat
  $000c    12  ac_pad[0]
AvailFonts:
  $000a    10  sizeof(AvailFonts)
  $0000     0  af_Type
  $0002     2  af_Attr
AvailFontsHeader:
  $0002     2  sizeof(AvailFontsHeader)
  $0000     0  afh_NumEntries
BitMap:
  $0028    40  sizeof(BitMap)
  $0000     0  BytesPerRow
  $0002     2  Rows
  $0004     4  Flags
  $0005     5  Depth
  $0006     6  pad
  $0008     8  Planes[0]
Bob:
  $0020    32  sizeof(Bob)
  $0000     0  Flags
  $0002     2  SaveBuffer
  $0006     6  ImageShadow
  $000a    10  Before
  $000e    14  After
  $0012    18  BobVSprite
  $0016    22  BobComp
  $001a    26  DBuffer
  $001e    30  BUserExt
BoolInfo:
  $000a    10  sizeof(BoolInfo)
  $0000     0  Flags
  $0002     2  Mask
  $0006     6  Reserved
BootBlock:
  $000c    12  sizeof(BootBlock)
  $0000     0  bb_id[0]
  $0004     4  bb_chksum
  $0008     8  bb_dosblock
BootNode:
  $0014    20  sizeof(BootNode)
  $0000     0  bn_Node
  $000e    14  bn_Flags
  $0010    16  bn_DeviceNode
Border:
  $0010    16  sizeof(Border)
  $0000     0  LeftEdge
  $0002     2  TopEdge
  $0004     4  FrontPen
  $0005     5  BackPen
  $0006     6  DrawMode
  $0007     7  Count
  $0008     8  XY
  $000c    12  NextBorder
CIA:
  $0f02  3842  sizeof(CIA)
  $0000     0  ciapra
  $0001     1  pad0[0]
  $0100   256  ciaprb
  $0101   257  pad1[0]
  $0200   512  ciaddra
  $0201   513  pad2[0]
  $0300   768  ciaddrb
  $0301   769  pad3[0]
  $0400  1024  ciatalo
  $0401  1025  pad4[0]
  $0500  1280  ciatahi
  $0501  1281  pad5[0]
  $0600  1536  ciatblo
  $0601  1537  pad6[0]
  $0700  1792  ciatbhi
  $0701  1793  pad7[0]
  $0800  2048  ciatodlow
  $0801  2049  pad8[0]
  $0900  2304  ciatodmid
  $0901  2305  pad9[0]
  $0a00  2560  ciatodhi
  $0a01  2561  pad10[0]
  $0b00  2816  unusedreg
  $0b01  2817  pad11[0]
  $0c00  3072  ciasdr
  $0c01  3073  pad12[0]
  $0d00  3328  ciaicr
  $0d01  3329  pad13[0]
  $0e00  3584  ciacra
  $0e01  3585  pad14[0]
  $0f00  3840  ciacrb
ClipRect:
  $0024    36  sizeof(ClipRect)
  $0000     0  Next
  $0004     4  prev
  $0008     8  lobs
  $000c    12  BitMap
  $0010    16  bounds
  $0018    24  _p1
  $001c    28  _p2
  $0020    32  reserved
ClipboardUnitPartial:
  $0012    18  sizeof(ClipboardUnitPartial)
  $0000     0  cu_Node
  $000e    14  cu_UnitNum
ColorMap:
  $0008     8  sizeof(ColorMap)
  $0000     0  Flags
  $0001     1  Type
  $0002     2  Count
  $0004     4  ColorTable
CommandLineInterface:
  $0040    64  sizeof(CommandLineInterface)
  $0000     0  cli_Result2
  $0004     4  cli_SetName
  $0008     8  cli_CommandDir
  $000c    12  cli_ReturnCode
  $0010    16  cli_CommandName
  $0014    20  cli_FailLevel
  $0018    24  cli_Prompt
  $001c    28  cli_StandardInput
  $0020    32  cli_CurrentInput
  $0024    36  cli_CommandFile
  $0028    40  cli_Interactive
  $002c    44  cli_Background
  $0030    48  cli_CurrentOutput
  $0034    52  cli_DefaultStack
  $0038    56  cli_StandardOutput
  $003c    60  cli_Module
ConUnit:
  $0128   296  sizeof(ConUnit)
  $0000     0  cu_MP
  $0022    34  cu_Window
  $0026    38  cu_XCP
  $0028    40  cu_YCP
  $002a    42  cu_XMax
  $002c    44  cu_YMax
  $002e    46  cu_XRSize
  $0030    48  cu_YRSize
  $0032    50  cu_XROrigin
  $0034    52  cu_YROrigin
  $0036    54  cu_XRExtant
  $0038    56  cu_YRExtant
  $003a    58  cu_XMinShrink
  $003c    60  cu_YMinShrink
  $003e    62  cu_XCCP
  $0040    64  cu_YCCP
  $0042    66  cu_KeyMapStruct
  $0062    98  cu_TabStops[0]
  $0102   258  cu_Mask
  $0103   259  cu_FgPen
  $0104   260  cu_BgPen
  $0105   261  cu_AOLPen
  $0106   262  cu_DrawMode
  $0107   263  cu_AreaPtSz
  $0108   264  cu_AreaPtrn
  $010c   268  cu_Minterms[0]
  $0114   276  cu_Font
  $0118   280  cu_AlgoStyle
  $0119   281  cu_TxFlags
  $011a   282  cu_TxHeight
  $011c   284  cu_TxWidth
  $011e   286  cu_TxBaseline
  $0120   288  cu_TxSpacing
  $0122   290  cu_Modes[0]
  $0125   293  cu_RawEvents[0]
ConfigDev:
  $0044    68  sizeof(ConfigDev)
  $0000     0  cd_Node
  $000e    14  cd_Flags
  $000f    15  cd_Pad
  $0010    16  cd_Rom
  $0020    32  cd_BoardAddr
  $0024    36  cd_BoardSize
  $0028    40  cd_SlotAddr
  $002a    42  cd_SlotSize
  $002c    44  cd_Driver
  $0030    48  cd_NextCD
  $0034    52  cd_Unused[0]
CopIns:
  $0006     6  sizeof(CopIns)
  $0000     0  OpCode
  $0002     2  u3
  $0002     2  u3.nxtlist
  $0002     2  u3.u4
  $0002     2  u3.u4.u1
  $0002     2  u3.u4.u1.VWaitPos
  $0002     2  u3.u4.u1.DestAddr
  $0004     4  u3.u4.u2
  $0004     4  u3.u4.u2.HWaitPos
  $0004     4  u3.u4.u2.DestData
CopList:
  $0022    34  sizeof(CopList)
  $0000     0  Next
  $0004     4  _CopList
  $0008     8  _ViewPort
  $000c    12  CopIns
  $0010    16  CopPtr
  $0014    20  CopLStart
  $0018    24  CopSStart
  $001c    28  Count
  $001e    30  MaxCount
  $0020    32  DyOffset
CurrentBinding:
  $0010    16  sizeof(CurrentBinding)
  $0000     0  cb_ConfigDev
  $0004     4  cb_FileName
  $0008     8  cb_ProductString
  $000c    12  cb_ToolTypes
Custom:
  $01c0   448  sizeof(Custom)
  $0000     0  bltddat
  $0002     2  dmaconr
  $0004     4  vposr
  $0006     6  vhposr
  $0008     8  dskdatr
  $000a    10  joy0dat
  $000c    12  joy1dat
  $000e    14  clxdat
  $0010    16  adkconr
  $0012    18  pot0dat
  $0014    20  pot1dat
  $0016    22  potinp
  $0018    24  serdatr
  $001a    26  dskbytr
  $001c    28  intenar
  $001e    30  intreqr
  $0020    32  dskpt
  $0024    36  dsklen
  $0026    38  dskdat
  $0028    40  refptr
  $002a    42  vposw
  $002c    44  vhposw
  $002e    46  copcon
  $0030    48  serdat
  $0032    50  serper
  $0034    52  potgo
  $0036    54  joytest
  $0038    56  strequ
  $003a    58  strvbl
  $003c    60  strhor
  $003e    62  strlong
  $0040    64  bltcon0
  $0042    66  bltcon1
  $0044    68  bltafwm
  $0046    70  bltalwm
  $0048    72  bltcpt
  $004c    76  bltbpt
  $0050    80  bltapt
  $0054    84  bltdpt
  $0058    88  bltsize
  $005a    90  pad2d[0]
  $0060    96  bltcmod
  $0062    98  bltbmod
  $0064   100  bltamod
  $0066   102  bltdmod
  $0068   104  pad34[0]
  $0070   112  bltcdat
  $0072   114  bltbdat
  $0074   116  bltadat
  $0076   118  pad3b[0]
  $007e   126  dsksync
  $0080   128  cop1lc
  $0084   132  cop2lc
  $0088   136  copjmp1
  $008a   138  copjmp2
  $008c   140  copins
  $008e   142  diwstrt
  $0090   144  diwstop
  $0092   146  ddfstrt
  $0094   148  ddfstop
  $0096   150  dmacon
  $0098   152  clxcon
  $009a   154  intena
  $009c   156  intreq
  $009e   158  adkcon
  $00a0   160  aud[0]
  $00a0   160  aud[0].ac_ptr
  $00a4   164  aud[0].ac_len
  $00a6   166  aud[0].ac_per
  $00a8   168  aud[0].ac_vol
  $00aa   170  aud[0].ac_dat
  $00ac   172  aud[0].ac_pad[0]
  $00e0   224  bplpt[0]
  $00f8   248  pad7c[0]
  $0100   256  bplcon0
  $0102   258  bplcon1
  $0104   260  bplcon2
  $0106   262  pad83
  $0108   264  bpl1mod
  $010a   266  bpl2mod
  $010c   268  pad86[0]
  $0110   272  bpldat[0]
  $011c   284  pad8e[0]
  $0120   288  sprpt[0]
  $0140   320  spr[0]
  $0140   320  spr[0].pos
  $0142   322  spr[0].ctl
  $0144   324  spr[0].dataa
  $0146   326  spr[0].datab
  $0180   384  color[0]
DBufPacket:
  $000c    12  sizeof(DBufPacket)
  $0000     0  BufY
  $0002     2  BufX
  $0004     4  BufPath
  $0008     8  BufBuffer
DateStamp:
  $000c    12  sizeof(DateStamp)
  $0000     0  ds_Days
  $0004     4  ds_Minute
  $0008     8  ds_Tick
DevInfo:
  $002c    44  sizeof(DevInfo)
  $0000     0  dvi_Next
  $0004     4  dvi_Type
  $0008     8  dvi_Task
  $000c    12  dvi_Lock
  $0010    16  dvi_Handler
  $0014    20  dvi_StackSize
  $0018    24  dvi_Priority
  $001c    28  dvi_Startup
  $0020    32  dvi_SegList
  $0024    36  dvi_GlobVec
  $0028    40  dvi_Name
Device:
  $0022    34  sizeof(Device)
  $0000     0  dd_Library
DeviceData:
  $0034    52  sizeof(DeviceData)
  $0000     0  dd_Device
  $0022    34  dd_Segment
  $0026    38  dd_ExecBase
  $002a    42  dd_CmdVectors
  $002e    46  dd_CmdBytes
  $0032    50  dd_NumCommands
DeviceList:
  $002c    44  sizeof(DeviceList)
  $0000     0  dl_Next
  $0004     4  dl_Type
  $0008     8  dl_Task
  $000c    12  dl_Lock
  $0010    16  dl_VolumeDate
  $001c    28  dl_LockList
  $0020    32  dl_DiskType
  $0024    36  dl_unused
  $0028    40  dl_Name
DeviceNode:
  $002c    44  sizeof(DeviceNode)
  $0000     0  dn_Next
  $0004     4  dn_Type
  $0008     8  dn_Task
  $000c    12  dn_Lock
  $0010    16  dn_Handler
  $0014    20  dn_StackSize
  $0018    24  dn_Priority
  $001c    28  dn_Startup
  $0020    32  dn_SegList
  $0024    36  dn_GlobalVec
  $0028    40  dn_Name
DiagArea:
  $000e    14  sizeof(DiagArea)
  $0000     0  da_Config
  $0001     1  da_Flags
  $0002     2  da_Size
  $0004     4  da_DiagPoint
  $0006     6  da_BootPoint
  $0008     8  da_Name
  $000a    10  da_Reserved01
  $000c    12  da_Reserved02
DiscResource:
  $0090   144  sizeof(DiscResource)
  $0000     0  dr_Library
  $0022    34  dr_Current
  $0026    38  dr_Flags
  $0027    39  dr_pad
  $0028    40  dr_SysLib
  $002c    44  dr_CiaResource
  $0030    48  dr_UnitID[0]
  $0040    64  dr_Waiting
  $004e    78  dr_DiscBlock
  $0064   100  dr_DiscSync
  $007a   122  dr_Index
DiscResourceUnit:
  $0056    86  sizeof(DiscResourceUnit)
  $0000     0  dru_Message
  $0014    20  dru_DiscBlock
  $002a    42  dru_DiscSync
  $0040    64  dru_Index
DiskFontHeader:
  $006a   106  sizeof(DiskFontHeader)
  $0000     0  dfh_DF
  $000e    14  dfh_FileID
  $0010    16  dfh_Revision
  $0012    18  dfh_Segment
  $0016    22  dfh_Name[0]
  $0036    54  dfh_TF
DiskObject:
  $004e    78  sizeof(DiskObject)
  $0000     0  do_Magic
  $0002     2  do_Version
  $0004     4  do_Gadget
  $0030    48  do_Type
  $0032    50  do_DefaultTool
  $0036    54  do_ToolTypes
  $003a    58  do_CurrentX
  $003e    62  do_CurrentY
  $0042    66  do_DrawerData
  $0046    70  do_ToolWindow
  $004a    74  do_StackSize
DosEnvec:
  $0044    68  sizeof(DosEnvec)
  $0000     0  de_TableSize
  $0004     4  de_SizeBlock
  $0008     8  de_SecOrg
  $000c    12  de_Surfaces
  $0010    16  de_SectorPerBlock
  $0014    20  de_BlocksPerTrack
  $0018    24  de_Reserved
  $001c    28  de_PreAlloc
  $0020    32  de_Interleave
  $0024    36  de_LowCyl
  $0028    40  de_HighCyl
  $002c    44  de_NumBuffers
  $0030    48  de_BufMemType
  $0034    52  de_MaxTransfer
  $0038    56  de_Mask
  $003c    60  de_BootPri
  $0040    64  de_DosType
DosInfo:
  $0014    20  sizeof(DosInfo)
  $0000     0  di_McName
  $0004     4  di_DevInfo
  $0008     8  di_Devices
  $000c    12  di_Handlers
  $0010    16  di_NetHand
DosLibrary:
  $0036    54  sizeof(DosLibrary)
  $0000     0  dl_lib
  $0022    34  dl_Root
  $0026    38  dl_GV
  $002a    42  dl_A2
  $002e    46  dl_A5
  $0032    50  dl_A6
DosList:
  $002c    44  sizeof(DosList)
  $0000     0  dol_Next
  $0004     4  dol_Type
  $0008     8  dol_Task
  $000c    12  dol_Lock
  $0010    16  dol_misc
  $0010    16  dol_misc.dol_handler
  $0010    16  dol_misc.dol_handler.dol_Handler
  $0014    20  dol_misc.dol_handler.dol_StackSize
  $0018    24  dol_misc.dol_handler.dol_Priority
  $001c    28  dol_misc.dol_handler.dol_Startup
  $0020    32  dol_misc.dol_handler.dol_SegList
  $0024    36  dol_misc.dol_handler.dol_GlobVec
  $0010    16  dol_misc.dol_volume
  $0010    16  dol_misc.dol_volume.dol_VolumeDate
  $001c    28  dol_misc.dol_volume.dol_LockList
  $0020    32  dol_misc.dol_volume.dol_DiskType
  $0028    40  dol_Name
DosPacket:
  $0030    48  sizeof(DosPacket)
  $0000     0  dp_Link
  $0004     4  dp_Port
  $0008     8  dp_Type
  $000c    12  dp_Res1
  $0010    16  dp_Res2
  $0014    20  dp_Arg1
  $0018    24  dp_Arg2
  $001c    28  dp_Arg3
  $0020    32  dp_Arg4
  $0024    36  dp_Arg5
  $0028    40  dp_Arg6
  $002c    44  dp_Arg7
DrawerData:
  $0038    56  sizeof(DrawerData)
  $0000     0  dd_NewWindow
  $0030    48  dd_CurrentX
  $0034    52  dd_CurrentY
ExecBase:
  $024c   588  sizeof(ExecBase)
  $0000     0  LibNode
  $0022    34  SoftVer
  $0024    36  LowMemChkSum
  $0026    38  ChkBase
  $002a    42  ColdCapture
  $002e    46  CoolCapture
  $0032    50  WarmCapture
  $0036    54  SysStkUpper
  $003a    58  SysStkLower
  $003e    62  MaxLocMem
  $0042    66  DebugEntry
  $0046    70  DebugData
  $004a    74  AlertData
  $004e    78  MaxExtMem
  $0052    82  ChkSum
  $0054    84  IntVects[0]
  $0114   276  ThisTask
  $0118   280  IdleCount
  $011c   284  DispCount
  $0120   288  Quantum
  $0122   290  Elapsed
  $0124   292  SysFlags
  $0126   294  IDNestCnt
  $0127   295  TDNestCnt
  $0128   296  AttnFlags
  $012a   298  AttnResched
  $012c   300  ResModules
  $0130   304  TaskTrapCode
  $0134   308  TaskExceptCode
  $0138   312  TaskExitCode
  $013c   316  TaskSigAlloc
  $0140   320  TaskTrapAlloc
  $0142   322  MemList
  $0150   336  ResourceList
  $015e   350  DeviceList
  $016c   364  IntrList
  $017a   378  LibList
  $0188   392  PortList
  $0196   406  TaskReady
  $01a4   420  TaskWait
  $01b2   434  SoftInts[0]
  $0202   514  LastAlert[0]
  $0212   530  VBlankFrequency
  $0213   531  PowerSupplyFrequency
  $0214   532  SemaphoreList
  $0222   546  KickMemPtr
  $0226   550  KickTagPtr
  $022a   554  KickCheckSum
  $022e   558  ExecBaseReserved[0]
  $0238   568  ExecBaseNewReserved[0]
ExpansionBase:
  $01c8   456  sizeof(ExpansionBase)
  $0000     0  LibNode
  $0022    34  Flags
  $0023    35  pad
  $0024    36  ExecBase
  $0028    40  SegList
  $002c    44  CurrentBinding
  $003c    60  BoardList
  $004a    74  MountList
  $0058    88  AllocTable[0]
  $0158   344  BindSemaphore
  $0186   390  Int2List
  $019c   412  Int6List
  $01b2   434  Int7List
ExpansionControl:
  $0010    16  sizeof(ExpansionControl)
  $0000     0  ec_Interrupt
  $0001     1  ec_Reserved11
  $0002     2  ec_BaseAddress
  $0003     3  ec_Shutup
  $0004     4  ec_Reserved14
  $0005     5  ec_Reserved15
  $0006     6  ec_Reserved16
  $0007     7  ec_Reserved17
  $0008     8  ec_Reserved18
  $0009     9  ec_Reserved19
  $000a    10  ec_Reserved1a
  $000b    11  ec_Reserved1b
  $000c    12  ec_Reserved1c
  $000d    13  ec_Reserved1d
  $000e    14  ec_Reserved1e
  $000f    15  ec_Reserved1f
ExpansionInt:
  $0006     6  sizeof(ExpansionInt)
  $0000     0  IntMask
  $0002     2  ArrayMax
  $0004     4  ArraySize
ExpansionRom:
  $0010    16  sizeof(ExpansionRom)
  $0000     0  er_Type
  $0001     1  er_Product
  $0002     2  er_Flags
  $0003     3  er_Reserved03
  $0004     4  er_Manufacturer
  $0006     6  er_SerialNumber
  $000a    10  er_InitDiagVec
  $000c    12  er_Reserved0c
  $000d    13  er_Reserved0d
  $000e    14  er_Reserved0e
  $000f    15  er_Reserved0f
FileHandle:
  $002c    44  sizeof(FileHandle)
  $0000     0  fh_Link
  $0004     4  fh_Port
  $0008     8  fh_Type
  $000c    12  fh_Buf
  $0010    16  fh_Pos
  $0014    20  fh_End
  $0018    24  fh_Funcs
  $001c    28  fh_Func2
  $0020    32  fh_Func3
  $0024    36  fh_Args
  $0028    40  fh_Arg2
FileInfoBlock:
  $0104   260  sizeof(FileInfoBlock)
  $0000     0  fib_DiskKey
  $0004     4  fib_DirEntryType
  $0008     8  fib_FileName[0]
  $0074   116  fib_Protection
  $0078   120  fib_EntryType
  $007c   124  fib_Size
  $0080   128  fib_NumBlocks
  $0084   132  fib_Date
  $0090   144  fib_Comment[0]
  $00e0   224  fib_Reserved[0]
FileLock:
  $0014    20  sizeof(FileLock)
  $0000     0  fl_Link
  $0004     4  fl_Key
  $0008     8  fl_Access
  $000c    12  fl_Task
  $0010    16  fl_Volume
FileSysStartupMsg:
  $0010    16  sizeof(FileSysStartupMsg)
  $0000     0  fssm_Unit
  $0004     4  fssm_Device
  $0008     8  fssm_Environ
  $000c    12  fssm_Flags
FontContents:
  $0104   260  sizeof(FontContents)
  $0000     0  fc_FileName[0]
  $0100   256  fc_YSize
  $0102   258  fc_Style
  $0103   259  fc_Flags
FontContentsHeader:
  $0004     4  sizeof(FontContentsHeader)
  $0000     0  fch_FileID
  $0002     2  fch_NumEntries
FreeList:
  $0010    16  sizeof(FreeList)
  $0000     0  fl_NumFree
  $0002     2  fl_MemList
Gadget:
  $002c    44  sizeof(Gadget)
  $0000     0  NextGadget
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  Width
  $000a    10  Height
  $000c    12  Flags
  $000e    14  Activation
  $0010    16  GadgetType
  $0012    18  GadgetRender
  $0016    22  SelectRender
  $001a    26  GadgetText
  $001e    30  MutualExclude
  $0022    34  SpecialInfo
  $0026    38  GadgetID
  $0028    40  UserData
GamePortTrigger:
  $0008     8  sizeof(GamePortTrigger)
  $0000     0  gpt_Keys
  $0002     2  gpt_Timeout
  $0004     4  gpt_XDelta
  $0006     6  gpt_YDelta
GelsInfo:
  $0026    38  sizeof(GelsInfo)
  $0000     0  sprRsrvd
  $0001     1  Flags
  $0002     2  gelHead
  $0006     6  gelTail
  $000a    10  nextLine
  $000e    14  lastColor
  $0012    18  collHandler
  $0016    22  leftmost
  $0018    24  rightmost
  $001a    26  topmost
  $001c    28  bottommost
  $001e    30  firstBlissObj
  $0022    34  lastBlissObj
GfxBase:
  $0148   328  sizeof(GfxBase)
  $0000     0  LibNode
  $0022    34  ActiView
  $0026    38  copinit
  $002a    42  cia
  $002e    46  blitter
  $0032    50  LOFlist
  $0036    54  SHFlist
  $003a    58  blthd
  $003e    62  blttl
  $0042    66  bsblthd
  $0046    70  bsblttl
  $004a    74  vbsrv
  $0060    96  timsrv
  $0076   118  bltsrv
  $008c   140  TextFonts
  $009a   154  DefaultFont
  $009e   158  Modes
  $00a0   160  VBlank
  $00a1   161  Debug
  $00a2   162  BeamSync
  $00a4   164  system_bplcon0
  $00a6   166  SpriteReserved
  $00a7   167  bytereserved
  $00a8   168  Flags
  $00aa   170  BlitLock
  $00ac   172  BlitNest
  $00ae   174  BlitWaitQ
  $00bc   188  BlitOwner
  $00c0   192  TOF_WaitQ
  $00ce   206  DisplayFlags
  $00d0   208  SimpleSprites
  $00d4   212  MaxDisplayRow
  $00d6   214  MaxDisplayColumn
  $00d8   216  NormalDisplayRows
  $00da   218  NormalDisplayColumns
  $00dc   220  NormalDPMX
  $00de   222  NormalDPMY
  $00e0   224  LastChanceMemory
  $00e4   228  LCMptr
  $00e8   232  MicrosPerLine
  $00ea   234  MinDisplayColumn
  $00ec   236  reserved[0]
IOAudio:
  $0044    68  sizeof(IOAudio)
  $0000     0  ioa_Request
  $0020    32  ioa_AllocKey
  $0022    34  ioa_Data
  $0026    38  ioa_Length
  $002a    42  ioa_Period
  $002c    44  ioa_Volume
  $002e    46  ioa_Cycles
  $0030    48  ioa_WriteMsg
IOClipReq:
  $0034    52  sizeof(IOClipReq)
  $0000     0  io_Message
  $0014    20  io_Device
  $0018    24  io_Unit
  $001c    28  io_Command
  $001e    30  io_Flags
  $001f    31  io_Error
  $0020    32  io_Actual
  $0024    36  io_Length
  $0028    40  io_Data
  $002c    44  io_Offset
  $0030    48  io_ClipID
IODRPReq:
  $003e    62  sizeof(IODRPReq)
  $0000     0  io_Message
  $0014    20  io_Device
  $0018    24  io_Unit
  $001c    28  io_Command
  $001e    30  io_Flags
  $001f    31  io_Error
  $0020    32  io_RastPort
  $0024    36  io_ColorMap
  $0028    40  io_Modes
  $002c    44  io_SrcX
  $002e    46  io_SrcY
  $0030    48  io_SrcWidth
  $0032    50  io_SrcHeight
  $0034    52  io_DestCols
  $0038    56  io_DestRows
  $003c    60  io_Special
IOExtPar:
  $003e    62  sizeof(IOExtPar)
  $0000     0  IOPar
  $0030    48  io_PExtFlags
  $0034    52  io_Status
  $0035    53  io_ParFlags
  $0036    54  io_PTermArray
IOExtSer:
  $0052    82  sizeof(IOExtSer)
  $0000     0  IOSer
  $0030    48  io_CtlChar
  $0034    52  io_RBufLen
  $0038    56  io_ExtFlags
  $003c    60  io_Baud
  $0040    64  io_BrkTime
  $0044    68  io_TermArray
  $004c    76  io_ReadLen
  $004d    77  io_WriteLen
  $004e    78  io_StopBits
  $004f    79  io_SerFlags
  $0050    80  io_Status
IOExtTD:
  $0038    56  sizeof(IOExtTD)
  $0000     0  iotd_Req
  $0030    48  iotd_Count
  $0034    52  iotd_SecLabel
IOPArray:
  $0008     8  sizeof(IOPArray)
  $0000     0  PTermArray0
  $0004     4  PTermArray1
IOPrtCmdReq:
  $0026    38  sizeof(IOPrtCmdReq)
  $0000     0  io_Message
  $0014    20  io_Device
  $0018    24  io_Unit
  $001c    28  io_Command
  $001e    30  io_Flags
  $001f    31  io_Error
  $0020    32  io_PrtCommand
  $0022    34  io_Parm0
  $0023    35  io_Parm1
  $0024    36  io_Parm2
  $0025    37  io_Parm3
IORequest:
  $0020    32  sizeof(IORequest)
  $0000     0  io_Message
  $0014    20  io_Device
  $0018    24  io_Unit
  $001c    28  io_Command
  $001e    30  io_Flags
  $001f    31  io_Error
IOStdReq:
  $0030    48  sizeof(IOStdReq)
  $0000     0  io_Message
  $0014    20  io_Device
  $0018    24  io_Unit
  $001c    28  io_Command
  $001e    30  io_Flags
  $001f    31  io_Error
  $0020    32  io_Actual
  $0024    36  io_Length
  $0028    40  io_Data
  $002c    44  io_Offset
IOTArray:
  $0008     8  sizeof(IOTArray)
  $0000     0  TermArray0
  $0004     4  TermArray1
Image:
  $0014    20  sizeof(Image)
  $0000     0  LeftEdge
  $0002     2  TopEdge
  $0004     4  Width
  $0006     6  Height
  $0008     8  Depth
  $000a    10  ImageData
  $000e    14  PlanePick
  $000f    15  PlaneOnOff
  $0010    16  NextImage
InfoData:
  $0024    36  sizeof(InfoData)
  $0000     0  id_NumSoftErrors
  $0004     4  id_UnitNumber
  $0008     8  id_DiskState
  $000c    12  id_NumBlocks
  $0010    16  id_NumBlocksUsed
  $0014    20  id_BytesPerBlock
  $0018    24  id_DiskType
  $001c    28  id_VolumeNode
  $0020    32  id_InUse
InputEvent:
  $0016    22  sizeof(InputEvent)
  $0000     0  ie_NextEvent
  $0004     4  ie_Class
  $0005     5  ie_SubClass
  $0006     6  ie_Code
  $0008     8  ie_Qualifier
  $000a    10  ie_position
  $000a    10  ie_position.ie_xy
  $000a    10  ie_position.ie_xy.ie_x
  $000c    12  ie_position.ie_xy.ie_y
  $000a    10  ie_position.ie_addr
  $000e    14  ie_TimeStamp
IntVector:
  $000c    12  sizeof(IntVector)
  $0000     0  iv_Data
  $0004     4  iv_Code
  $0008     8  iv_Node
Interrupt:
  $0016    22  sizeof(Interrupt)
  $0000     0  is_Node
  $000e    14  is_Data
  $0012    18  is_Code
IntuiMessage:
  $0034    52  sizeof(IntuiMessage)
  $0000     0  ExecMessage
  $0014    20  Class
  $0018    24  Code
  $001a    26  Qualifier
  $001c    28  IAddress
  $0020    32  MouseX
  $0022    34  MouseY
  $0024    36  Seconds
  $0028    40  Micros
  $002c    44  IDCMPWindow
  $0030    48  SpecialLink
IntuiText:
  $0014    20  sizeof(IntuiText)
  $0000     0  FrontPen
  $0001     1  BackPen
  $0002     2  DrawMode
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  ITextFont
  $000c    12  IText
  $0010    16  NextText
IntuitionBase:
  $0050    80  sizeof(IntuitionBase)
  $0000     0  LibNode
  $0022    34  ViewLord
  $0034    52  ActiveWindow
  $0038    56  ActiveScreen
  $003c    60  FirstScreen
  $0040    64  Flags
  $0044    68  MouseY
  $0046    70  MouseX
  $0048    72  Seconds
  $004c    76  Micros
Isrvstr:
  $001e    30  sizeof(Isrvstr)
  $0000     0  is_Node
  $000e    14  Iptr
  $0012    18  code
  $0016    22  ccode
  $001a    26  Carg
KeyMap:
  $0020    32  sizeof(KeyMap)
  $0000     0  km_LoKeyMapTypes
  $0004     4  km_LoKeyMap
  $0008     8  km_LoCapsable
  $000c    12  km_LoRepeatable
  $0010    16  km_HiKeyMapTypes
  $0014    20  km_HiKeyMap
  $0018    24  km_HiCapsable
  $001c    28  km_HiRepeatable
KeyMapNode:
  $002e    46  sizeof(KeyMapNode)
  $0000     0  kn_Node
  $000e    14  kn_KeyMap
KeyMapResource:
  $001c    28  sizeof(KeyMapResource)
  $0000     0  kr_Node
  $000e    14  kr_List
Layer:
  $00a0   160  sizeof(Layer)
  $0000     0  front
  $0004     4  back
  $0008     8  ClipRect
  $000c    12  rp
  $0010    16  bounds
  $0018    24  reserved[0]
  $001c    28  priority
  $001e    30  Flags
  $0020    32  SuperBitMap
  $0024    36  SuperClipRect
  $0028    40  Window
  $002c    44  Scroll_X
  $002e    46  Scroll_Y
  $0030    48  cr
  $0034    52  cr2
  $0038    56  crnew
  $003c    60  SuperSaveClipRects
  $0040    64  _cliprects
  $0044    68  LayerInfo
  $0048    72  Lock
  $0076   118  reserved3[0]
  $007e   126  ClipRegion
  $0082   130  saveClipRects
  $0086   134  reserved2[0]
  $009c   156  DamageList
Layer_Info:
  $0066   102  sizeof(Layer_Info)
  $0000     0  top_layer
  $0004     4  check_lp
  $0008     8  obs
  $000c    12  FreeClipRects
  $0018    24  Lock
  $0046    70  gs_Head
  $0054    84  longreserved
  $0058    88  Flags
  $005a    90  fatten_count
  $005b    91  LockLayersCount
  $005c    92  LayerInfo_extra_size
  $005e    94  blitbuff
  $0062    98  LayerInfo_extra
Library:
  $0022    34  sizeof(Library)
  $0000     0  lib_Node
  $000e    14  lib_Flags
  $000f    15  lib_pad
  $0010    16  lib_NegSize
  $0012    18  lib_PosSize
  $0014    20  lib_Version
  $0016    22  lib_Revision
  $0018    24  lib_IdString
  $001c    28  lib_Sum
  $0020    32  lib_OpenCnt
List:
  $000e    14  sizeof(List)
  $0000     0  lh_Head
  $0004     4  lh_Tail
  $0008     8  lh_TailPred
  $000c    12  lh_Type
  $000d    13  l_pad
MathIEEEBase:
  $003c    60  sizeof(MathIEEEBase)
  $0000     0  MathIEEEBase_LibNode
  $0022    34  MathIEEEBase_Flags
  $0023    35  MathIEEEBase_reserved1
  $0024    36  MathIEEEBase_68881
  $0028    40  MathIEEEBase_SysLib
  $002c    44  MathIEEEBase_SegList
  $0030    48  MathIEEEBase_Resource
  $0034    52  MathIEEEBase_TaskOpenLib
  $0038    56  MathIEEEBase_TaskCloseLib
MathIEEEResource:
  $002c    44  sizeof(MathIEEEResource)
  $0000     0  MathIEEEResource_Node
  $000e    14  MathIEEEResource_Flags
  $0010    16  MathIEEEResource_BaseAddr
  $0014    20  MathIEEEResource_DblBasInit
  $0018    24  MathIEEEResource_DblTransInit
  $001c    28  MathIEEEResource_SglBasInit
  $0020    32  MathIEEEResource_SglTransInit
  $0024    36  MathIEEEResource_ExtBasInit
  $0028    40  MathIEEEResource_ExtTransInit
MemChunk:
  $0008     8  sizeof(MemChunk)
  $0000     0  mc_Next
  $0004     4  mc_Bytes
MemEntry:
  $0008     8  sizeof(MemEntry)
  $0000     0  me_Un
  $0000     0  me_Un.meu_Reqs
  $0000     0  me_Un.meu_Addr
  $0004     4  me_Length
MemHeader:
  $0020    32  sizeof(MemHeader)
  $0000     0  mh_Node
  $000e    14  mh_Attributes
  $0010    16  mh_First
  $0014    20  mh_Lower
  $0018    24  mh_Upper
  $001c    28  mh_Free
MemList:
  $0018    24  sizeof(MemList)
  $0000     0  ml_Node
  $000e    14  ml_NumEntries
  $0010    16  ml_ME[0]
Menu:
  $001e    30  sizeof(Menu)
  $0000     0  NextMenu
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  Width
  $000a    10  Height
  $000c    12  Flags
  $000e    14  MenuName
  $0012    18  FirstItem
  $0016    22  JazzX
  $0018    24  JazzY
  $001a    26  BeatX
  $001c    28  BeatY
MenuItem:
  $0022    34  sizeof(MenuItem)
  $0000     0  NextItem
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  Width
  $000a    10  Height
  $000c    12  Flags
  $000e    14  MutualExclude
  $0012    18  ItemFill
  $0016    22  SelectFill
  $001a    26  Command
  $001c    28  SubItem
  $0020    32  NextSelect
Message:
  $0014    20  sizeof(Message)
  $0000     0  mn_Node
  $000e    14  mn_ReplyPort
  $0012    18  mn_Length
MinList:
  $000c    12  sizeof(MinList)
  $0000     0  mlh_Head
  $0004     4  mlh_Tail
  $0008     8  mlh_TailPred
MinNode:
  $0008     8  sizeof(MinNode)
  $0000     0  mln_Succ
  $0004     4  mln_Pred
MiscResource:
  $0032    50  sizeof(MiscResource)
  $0000     0  mr_Library
  $0022    34  mr_AllocArray[0]
MsgPort:
  $0022    34  sizeof(MsgPort)
  $0000     0  mp_Node
  $000e    14  mp_Flags
  $000f    15  mp_SigBit
  $0010    16  mp_SigTask
  $0014    20  mp_MsgList
NewScreen:
  $0020    32  sizeof(NewScreen)
  $0000     0  LeftEdge
  $0002     2  TopEdge
  $0004     4  Width
  $0006     6  Height
  $0008     8  Depth
  $000a    10  DetailPen
  $000b    11  BlockPen
  $000c    12  ViewModes
  $000e    14  Type
  $0010    16  Font
  $0014    20  DefaultTitle
  $0018    24  Gadgets
  $001c    28  CustomBitMap
NewWindow:
  $0030    48  sizeof(NewWindow)
  $0000     0  LeftEdge
  $0002     2  TopEdge
  $0004     4  Width
  $0006     6  Height
  $0008     8  DetailPen
  $0009     9  BlockPen
  $000a    10  IDCMPFlags
  $000e    14  Flags
  $0012    18  FirstGadget
  $0016    22  CheckMark
  $001a    26  Title
  $001e    30  Screen
  $0022    34  BitMap
  $0026    38  MinWidth
  $0028    40  MinHeight
  $002a    42  MaxWidth
  $002c    44  MaxHeight
  $002e    46  Type
Node:
  $000e    14  sizeof(Node)
  $0000     0  ln_Succ
  $0004     4  ln_Pred
  $0008     8  ln_Type
  $0009     9  ln_Pri
  $000a    10  ln_Name
Preferences:
  $00e8   232  sizeof(Preferences)
  $0000     0  FontHeight
  $0001     1  PrinterPort
  $0002     2  BaudRate
  $0004     4  KeyRptSpeed
  $000c    12  KeyRptDelay
  $0014    20  DoubleClick
  $001c    28  PointerMatrix[0]
  $0064   100  XOffset
  $0065   101  YOffset
  $0066   102  color17
  $0068   104  color18
  $006a   106  color19
  $006c   108  PointerTicks
  $006e   110  color0
  $0070   112  color1
  $0072   114  color2
  $0074   116  color3
  $0076   118  ViewXOffset
  $0077   119  ViewYOffset
  $0078   120  ViewInitX
  $007a   122  ViewInitY
  $007c   124  EnableCLI
  $007e   126  PrinterType
  $0080   128  PrinterFilename[0]
  $009e   158  PrintPitch
  $00a0   160  PrintQuality
  $00a2   162  PrintSpacing
  $00a4   164  PrintLeftMargin
  $00a6   166  PrintRightMargin
  $00a8   168  PrintImage
  $00aa   170  PrintAspect
  $00ac   172  PrintShade
  $00ae   174  PrintThreshold
  $00b0   176  PaperSize
  $00b2   178  PaperLength
  $00b4   180  PaperType
  $00b6   182  SerRWBits
  $00b7   183  SerStopBuf
  $00b8   184  SerParShk
  $00b9   185  LaceWB
  $00ba   186  WorkName[0]
  $00d8   216  RowSizeChange
  $00d9   217  ColumnSizeChange
  $00da   218  PrintFlags
  $00dc   220  PrintMaxWidth
  $00de   222  PrintMaxHeight
  $00e0   224  PrintDensity
  $00e1   225  PrintXOffset
  $00e2   226  wb_Width
  $00e4   228  wb_Height
  $00e6   230  wb_Depth
  $00e7   231  ext_size
PrinterData:
  $0aa2  2722  sizeof(PrinterData)
  $0000     0  pd_Device
  $0034    52  pd_Unit
  $0056    86  pd_PrinterSegment
  $005a    90  pd_PrinterType
  $005c    92  pd_SegmentData
  $0060    96  pd_PrintBuf
  $0064   100  pd_PWrite
  $0068   104  pd_PBothReady
  $006c   108  pd_ior0
  $006c   108  pd_ior0.pd_p0
  $006c   108  pd_ior0.pd_s0
  $00be   190  pd_ior1
  $00be   190  pd_ior1.pd_p1
  $00be   190  pd_ior1.pd_s1
  $0110   272  pd_TIOR
  $0138   312  pd_IORPort
  $015a   346  pd_TC
  $01b6   438  pd_Stk[0]
  $09b6  2486  pd_Flags
  $09b7  2487  pd_pad
  $09b8  2488  pd_Preferences
  $0aa0  2720  pd_PWaitEnabled
PrinterExtendedData:
  $0042    66  sizeof(PrinterExtendedData)
  $0000     0  ped_PrinterName
  $0004     4  ped_Init
  $0008     8  ped_Expunge
  $000c    12  ped_Open
  $0010    16  ped_Close
  $0014    20  ped_PrinterClass
  $0015    21  ped_ColorClass
  $0016    22  ped_MaxColumns
  $0017    23  ped_NumCharSets
  $0018    24  ped_NumRows
  $001a    26  ped_MaxXDots
  $001e    30  ped_MaxYDots
  $0022    34  ped_XDotsInch
  $0024    36  ped_YDotsInch
  $0026    38  ped_Commands
  $002a    42  ped_DoSpecial
  $002e    46  ped_Render
  $0032    50  ped_TimeoutSecs
  $0036    54  ped_8BitChars
  $003a    58  ped_PrintMode
  $003e    62  ped_ConvFunc
PrinterSegment:
  $004e    78  sizeof(PrinterSegment)
  $0000     0  ps_NextSegment
  $0004     4  ps_runAlert
  $0008     8  ps_Version
  $000a    10  ps_Revision
  $000c    12  ps_PED
Process:
  $00bc   188  sizeof(Process)
  $0000     0  pr_Task
  $005c    92  pr_MsgPort
  $007e   126  pr_Pad
  $0080   128  pr_SegList
  $0084   132  pr_StackSize
  $0088   136  pr_GlobVec
  $008c   140  pr_TaskNum
  $0090   144  pr_StackBase
  $0094   148  pr_Result2
  $0098   152  pr_CurrentDir
  $009c   156  pr_CIS
  $00a0   160  pr_COS
  $00a4   164  pr_ConsoleTask
  $00a8   168  pr_FileSystemTask
  $00ac   172  pr_CLI
  $00b0   176  pr_ReturnAddr
  $00b4   180  pr_PktWait
  $00b8   184  pr_WindowPtr
PropInfo:
  $0016    22  sizeof(PropInfo)
  $0000     0  Flags
  $0002     2  HorizPot
  $0004     4  VertPot
  $0006     6  HorizBody
  $0008     8  VertBody
  $000a    10  CWidth
  $000c    12  CHeight
  $000e    14  HPotRes
  $0010    16  VPotRes
  $0012    18  LeftBorder
  $0014    20  TopBorder
PrtInfo:
  $0072   114  sizeof(PrtInfo)
  $0000     0  pi_render
  $0004     4  pi_rp
  $0008     8  pi_temprp
  $000c    12  pi_RowBuf
  $0010    16  pi_HamBuf
  $0014    20  pi_ColorMap
  $0018    24  pi_ColorInt
  $001c    28  pi_HamInt
  $0020    32  pi_Dest1Int
  $0024    36  pi_Dest2Int
  $0028    40  pi_ScaleX
  $002c    44  pi_ScaleXAlt
  $0030    48  pi_dmatrix
  $0034    52  pi_TopBuf
  $0038    56  pi_BotBuf
  $003c    60  pi_RowBufSize
  $003e    62  pi_HamBufSize
  $0040    64  pi_ColorMapSize
  $0042    66  pi_ColorIntSize
  $0044    68  pi_HamIntSize
  $0046    70  pi_Dest1IntSize
  $0048    72  pi_Dest2IntSize
  $004a    74  pi_ScaleXSize
  $004c    76  pi_ScaleXAltSize
  $004e    78  pi_PrefsFlags
  $0050    80  pi_special
  $0054    84  pi_xstart
  $0056    86  pi_ystart
  $0058    88  pi_width
  $005a    90  pi_height
  $005c    92  pi_pc
  $0060    96  pi_pr
  $0064   100  pi_ymult
  $0066   102  pi_ymod
  $0068   104  pi_ety
  $006a   106  pi_xpos
  $006c   108  pi_threshold
  $006e   110  pi_tempwidth
  $0070   112  pi_flags
RasInfo:
  $000c    12  sizeof(RasInfo)
  $0000     0  Next
  $0004     4  BitMap
  $0008     8  RxOffset
  $000a    10  RyOffset
RastPort:
  $0064   100  sizeof(RastPort)
  $0000     0  Layer
  $0004     4  BitMap
  $0008     8  AreaPtrn
  $000c    12  TmpRas
  $0010    16  AreaInfo
  $0014    20  GelsInfo
  $0018    24  Mask
  $0019    25  FgPen
  $001a    26  BgPen
  $001b    27  AOlPen
  $001c    28  DrawMode
  $001d    29  AreaPtSz
  $001e    30  linpatcnt
  $001f    31  dummy
  $0020    32  Flags
  $0022    34  LinePtrn
  $0024    36  cp_x
  $0026    38  cp_y
  $0028    40  minterms[0]
  $0030    48  PenWidth
  $0032    50  PenHeight
  $0034    52  Font
  $0038    56  AlgoStyle
  $0039    57  TxFlags
  $003a    58  TxHeight
  $003c    60  TxWidth
  $003e    62  TxBaseline
  $0040    64  TxSpacing
  $0042    66  RP_User
  $0046    70  longreserved[0]
  $004e    78  wordreserved[0]
  $005c    92  reserved[0]
Rectangle:
  $0008     8  sizeof(Rectangle)
  $0000     0  MinX
  $0002     2  MinY
  $0004     4  MaxX
  $0006     6  MaxY
Region:
  $000c    12  sizeof(Region)
  $0000     0  bounds
  $0008     8  RegionRectangle
RegionRectangle:
  $0010    16  sizeof(RegionRectangle)
  $0000     0  Next
  $0004     4  Prev
  $0008     8  bounds
Remember:
  $000c    12  sizeof(Remember)
  $0000     0  NextRemember
  $0004     4  RememberSize
  $0008     8  Memory
Requester:
  $0070   112  sizeof(Requester)
  $0000     0  OlderRequest
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  Width
  $000a    10  Height
  $000c    12  RelLeft
  $000e    14  RelTop
  $0010    16  ReqGadget
  $0014    20  ReqBorder
  $0018    24  ReqText
  $001c    28  Flags
  $001e    30  BackFill
  $0020    32  ReqLayer
  $0024    36  ReqPad1[0]
  $0044    68  ImageBMap
  $0048    72  RWindow
  $004c    76  ReqPad2[0]
Resident:
  $001a    26  sizeof(Resident)
  $0000     0  rt_MatchWord
  $0002     2  rt_MatchTag
  $0006     6  rt_EndSkip
  $000a    10  rt_Flags
  $000b    11  rt_Version
  $000c    12  rt_Type
  $000d    13  rt_Pri
  $000e    14  rt_Name
  $0012    18  rt_IdString
  $0016    22  rt_Init
RomBootBase:
  $0044    68  sizeof(RomBootBase)
  $0000     0  LibNode
  $0022    34  ExecBase
  $0026    38  BootList
  $0034    52  Reserved[0]
RootNode:
  $0020    32  sizeof(RootNode)
  $0000     0  rn_TaskArray
  $0004     4  rn_ConsoleSegment
  $0008     8  rn_Time
  $0014    20  rn_RestartSeg
  $0018    24  rn_Info
  $001c    28  rn_FileHandlerSegment
SatisfyMsg:
  $001a    26  sizeof(SatisfyMsg)
  $0000     0  sm_Msg
  $0014    20  sm_Unit
  $0016    22  sm_ClipID
Screen:
  $015a   346  sizeof(Screen)
  $0000     0  NextScreen
  $0004     4  FirstWindow
  $0008     8  LeftEdge
  $000a    10  TopEdge
  $000c    12  Width
  $000e    14  Height
  $0010    16  MouseY
  $0012    18  MouseX
  $0014    20  Flags
  $0016    22  Title
  $001a    26  DefaultTitle
  $001e    30  BarHeight
  $001f    31  BarVBorder
  $0020    32  BarHBorder
  $0021    33  MenuVBorder
  $0022    34  MenuHBorder
  $0023    35  WBorTop
  $0024    36  WBorLeft
  $0025    37  WBorRight
  $0026    38  WBorBottom
  $0028    40  Font
  $002c    44  ViewPort
  $0054    84  RastPort
  $00b8   184  BitMap
  $00e0   224  LayerInfo
  $0146   326  FirstGadget
  $014a   330  DetailPen
  $014b   331  BlockPen
  $014c   332  SaveColor0
  $014e   334  BarLayer
  $0152   338  ExtData
  $0156   342  UserData
Semaphore:
  $0024    36  sizeof(Semaphore)
  $0000     0  sm_MsgPort
  $0022    34  sm_Bids
SemaphoreRequest:
  $000c    12  sizeof(SemaphoreRequest)
  $0000     0  sr_Link
  $0008     8  sr_Waiter
SignalSemaphore:
  $002e    46  sizeof(SignalSemaphore)
  $0000     0  ss_Link
  $000e    14  ss_NestCount
  $0010    16  ss_WaitQueue
  $001c    28  ss_MultipleLink
  $0028    40  ss_Owner
  $002c    44  ss_QueueCount
SimpleSprite:
  $000c    12  sizeof(SimpleSprite)
  $0000     0  posctldata
  $0004     4  height
  $0006     6  x
  $0008     8  y
  $000a    10  num
SoftIntList:
  $0010    16  sizeof(SoftIntList)
  $0000     0  sh_List
  $000e    14  sh_Pad
SpriteDef:
  $0008     8  sizeof(SpriteDef)
  $0000     0  pos
  $0002     2  ctl
  $0004     4  dataa
  $0006     6  datab
StandardPacket:
  $0044    68  sizeof(StandardPacket)
  $0000     0  sp_Msg
  $0014    20  sp_Pkt
StringInfo:
  $0024    36  sizeof(StringInfo)
  $0000     0  Buffer
  $0004     4  UndoBuffer
  $0008     8  BufferPos
  $000a    10  MaxChars
  $000c    12  DispPos
  $000e    14  UndoPos
  $0010    16  NumChars
  $0012    18  DispCount
  $0014    20  CLeft
  $0016    22  CTop
  $0018    24  LayerPtr
  $001c    28  LongInt
  $0020    32  AltKeyMap
TDU_PublicUnit:
  $0036    54  sizeof(TDU_PublicUnit)
  $0000     0  tdu_Unit
  $0026    38  tdu_Comp01Track
  $0028    40  tdu_Comp10Track
  $002a    42  tdu_Comp11Track
  $002c    44  tdu_StepDelay
  $0030    48  tdu_SettleDelay
  $0034    52  tdu_RetryCnt
Task:
  $005c    92  sizeof(Task)
  $0000     0  tc_Node
  $000e    14  tc_Flags
  $000f    15  tc_State
  $0010    16  tc_IDNestCnt
  $0011    17  tc_TDNestCnt
  $0012    18  tc_SigAlloc
  $0016    22  tc_SigWait
  $001a    26  tc_SigRecvd
  $001e    30  tc_SigExcept
  $0022    34  tc_TrapAlloc
  $0024    36  tc_TrapAble
  $0026    38  tc_ExceptData
  $002a    42  tc_ExceptCode
  $002e    46  tc_TrapData
  $0032    50  tc_TrapCode
  $0036    54  tc_SPReg
  $003a    58  tc_SPLower
  $003e    62  tc_SPUpper
  $0042    66  tc_Switch
  $0046    70  tc_Launch
  $004a    74  tc_MemEntry
  $0058    88  tc_UserData
TextAttr:
  $0008     8  sizeof(TextAttr)
  $0000     0  ta_Name
  $0004     4  ta_YSize
  $0006     6  ta_Style
  $0007     7  ta_Flags
TextFont:
  $0034    52  sizeof(TextFont)
  $0000     0  tf_Message
  $0014    20  tf_YSize
  $0016    22  tf_Style
  $0017    23  tf_Flags
  $0018    24  tf_XSize
  $001a    26  tf_Baseline
  $001c    28  tf_BoldSmear
  $001e    30  tf_Accessors
  $0020    32  tf_LoChar
  $0021    33  tf_HiChar
  $0022    34  tf_CharData
  $0026    38  tf_Modulo
  $0028    40  tf_CharLoc
  $002c    44  tf_CharSpace
  $0030    48  tf_CharKern
TmpRas:
  $0008     8  sizeof(TmpRas)
  $0000     0  RasPtr
  $0004     4  Size
UCopList:
  $000c    12  sizeof(UCopList)
  $0000     0  Next
  $0004     4  FirstCopList
  $0008     8  CopList
Unit:
  $0026    38  sizeof(Unit)
  $0000     0  unit_MsgPort
  $0022    34  unit_flags
  $0023    35  unit_pad
  $0024    36  unit_OpenCnt
VSprite:
  $003c    60  sizeof(VSprite)
  $0000     0  NextVSprite
  $0004     4  PrevVSprite
  $0008     8  DrawPath
  $000c    12  ClearPath
  $0010    16  OldY
  $0012    18  OldX
  $0014    20  Flags
  $0016    22  Y
  $0018    24  X
  $001a    26  Height
  $001c    28  Width
  $001e    30  Depth
  $0020    32  MeMask
  $0022    34  HitMask
  $0024    36  ImageData
  $0028    40  BorderLine
  $002c    44  CollMask
  $0030    48  SprColors
  $0034    52  VSBob
  $0038    56  PlanePick
  $0039    57  PlaneOnOff
  $003a    58  VUserExt
View:
  $0012    18  sizeof(View)
  $0000     0  ViewPort
  $0004     4  LOFCprList
  $0008     8  SHFCprList
  $000c    12  DyOffset
  $000e    14  DxOffset
  $0010    16  Modes
ViewPort:
  $0028    40  sizeof(ViewPort)
  $0000     0  Next
  $0004     4  ColorMap
  $0008     8  DspIns
  $000c    12  SprIns
  $0010    16  ClrIns
  $0014    20  UCopIns
  $0018    24  DWidth
  $001a    26  DHeight
  $001c    28  DxOffset
  $001e    30  DyOffset
  $0020    32  Modes
  $0022    34  SpritePriorities
  $0023    35  reserved
  $0024    36  RasInfo
WBArg:
  $0008     8  sizeof(WBArg)
  $0000     0  wa_Lock
  $0004     4  wa_Name
WBStartup:
  $0028    40  sizeof(WBStartup)
  $0000     0  sm_Message
  $0014    20  sm_Process
  $0018    24  sm_Segment
  $001c    28  sm_NumArgs
  $0020    32  sm_ToolWindow
  $0024    36  sm_ArgList
Window:
  $0084   132  sizeof(Window)
  $0000     0  NextWindow
  $0004     4  LeftEdge
  $0006     6  TopEdge
  $0008     8  Width
  $000a    10  Height
  $000c    12  MouseY
  $000e    14  MouseX
  $0010    16  MinWidth
  $0012    18  MinHeight
  $0014    20  MaxWidth
  $0016    22  MaxHeight
  $0018    24  Flags
  $001c    28  MenuStrip
  $0020    32  Title
  $0024    36  FirstRequest
  $0028    40  DMRequest
  $002c    44  ReqCount
  $002e    46  WScreen
  $0032    50  RPort
  $0036    54  BorderLeft
  $0037    55  BorderTop
  $0038    56  BorderRight
  $0039    57  BorderBottom
  $003a    58  BorderRPort
  $003e    62  FirstGadget
  $0042    66  Parent
  $0046    70  Descendant
  $004a    74  Pointer
  $004e    78  PtrHeight
  $004f    79  PtrWidth
  $0050    80  XOffset
  $0051    81  YOffset
  $0052    82  IDCMPFlags
  $0056    86  UserPort
  $005a    90  WindowPort
  $005e    94  MessageKey
  $0062    98  DetailPen
  $0063    99  BlockPen
  $0064   100  CheckMark
  $0068   104  ScreenTitle
  $006c   108  GZZMouseX
  $006e   110  GZZMouseY
  $0070   112  GZZWidth
  $0072   114  GZZHeight
  $0074   116  ExtData
  $0078   120  UserData
  $007c   124  WLayer
  $0080   128  IFont
bltnode:
  $0012    18  sizeof(bltnode)
  $0000     0  n
  $0004     4  function
  $0008     8  stat
  $000a    10  blitsize
  $000c    12  beamsync
  $000e    14  cleanup
collTable:
  $0040    64  sizeof(collTable)
  $0000     0  collPtrs[0]
copinit:
  $005c    92  sizeof(copinit)
  $0000     0  diagstrt[0]
  $0008     8  sprstrtup[0]
  $0058    88  sprstop[0]
cprlist:
  $000a    10  sizeof(cprlist)
  $0000     0  Next
  $0004     4  start
  $0008     8  MaxCount
mouth_rb:
  $004a    74  sizeof(mouth_rb)
  $0000     0  voice
  $0046    70  width
  $0047    71  height
  $0048    72  shape
  $0049    73  pad
narrator_rb:
  $0046    70  sizeof(narrator_rb)
  $0000     0  message
  $0030    48  rate
  $0032    50  pitch
  $0034    52  mode
  $0036    54  sex
  $0038    56  ch_masks
  $003c    60  nm_masks
  $003e    62  volume
  $0040    64  sampfreq
  $0042    66  mouths
  $0043    67  chanmask
  $0044    68  numchan
  $0045    69  pad
tPoint:
  $0004     4  sizeof(tPoint)
timerequest:
  $0028    40  sizeof(timerequest)
  $0000     0  tr_node
  $0020    32  tr_time
timeval:
  $0008     8  sizeof(timeval)
  $0000     0  tv_secs
  $0004     4  tv_micro
tPoint:
  $0004     4  sizeof(tPoint)
colorEntry:
  $0004     4  sizeof(colorEntry)
  $0000     0  colorLong
  $0000     0  colorByte[0]
  $0000     0  colorSByte[0]

